vg_mobs = {}

local modpath = core.get_modpath("vg_mobs")
local log = voxelgarden.get_logger("vg_mobs")
local include = voxelgarden.get_include_helper("vg_mobs")

-- Internal helper functions
local internal = dofile(modpath .. DIR_DELIM .. "src" .. DIR_DELIM .. "internal.lua")

local modules = {
	-- Helper data structure for tasks
	"doubly_linked_list",

	-- Mob API
	"api",
	"task_templates",
	"feed_tame",
	"child",
	"capture",
	"environment",

	-- Common mob functions and microtasks
	-- (originally from rp_mobs_mobs)
	"tasks" .. DIR_DELIM .. "init",
}

include(modules, {"src"}, internal, log)
